
#{extends 'border.html'/}
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{controllers.prakatalog.PenawaranCtr.index()}">&{'penawaran.label'}</a></li>
                <li class="active">&{'daftar_lampiran_kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@prakatalog.PenawaranCtr.index()/}
                <a href="@{penyedia.KontrakCtr.cetakPenetapanProduk(pid)}" class="btn btn-sm btn-primary"><i class="fa fa-plus"></i>
                &{'tambah.label'} &{'lampiran_kontrak.label'}</a>
            </div>
            <!-- End Toolbar -->
            #{alert /}
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-condensed table-striped" id="tblDokumenUpload">
                        <thead>
                        <tr>
                            <th>&{'nomor_surat.label'}</th>
                            <th>&{'tanggal_surat.label'}</th>
                            <th>&{'nomor_berita_acara.label'}</th>
                            <th>&{'tanggal_berita_acara.label'}</th>
                            <th>&{'file.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:kontrak, as:'item'}
                        <tr>
                            <td style="text-align: center">${item.no_surat}</td>
                            <td style="text-align: center">${item.getFormattedDate(item.tanggal_surat)}</td>
                            <td style="text-align: center">${item.no_berita_acara}</td>
                            <td style="text-align: center">${item.getFormattedDate(item.tanggal_berita_acara)}</td>
                            <td style="text-align: center"><a href="@{penyedia.KontrakCtr.downloadUplLampiran(item.id)}"
                                   target="_blank">${item.file_name}</a></td>
                            <td style="text-align: center">
                                <div class="dropdown">
                                    <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                                    &{'action'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenu4">
                                        <li>
                                            <a href="@{penyedia.KontrakCtr.downloadDoc(item.id)}"
                                               target="_blank">&{'download_attachment'}</a>
                                        </li>
                                        <li>
                                            <a href="#" onclick="openModal(${item.id})" name="upFileBtn">&{'unggah_file.label'}</a>
                                        </li>
                                        <li role="separator" class="divider"></li>
                                        <li>
                                            <a href="@{penyedia.KontrakCtr.editPenetapanProduk(item.id)}">&{'ubah.label'}</a>
                                        </li>
                                        *{<li>}*
                                            *{<a href="${item.getDeleteUrl(item.id)}">&{'hapus.label'}</a>}*
                                        *{</li>}*
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    <!--Modal-->
    <div class="modal fade" id="uplFileLampiran" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog">
        #{form @penyedia.KontrakCtr.uploadLampiran(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'unggah_file.label'}</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="penawaran_id" value="${pid}"/>
                    <input type="hidden" id="lampiran_id" name="lampiran_id" />
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'file_lampiran.label'}</label>
                        <input type="file" id="fileupload" name="file"/>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i>
                    &{'simpan.label'}
                    </button>
                    <button type="button" class="btn btn-danger btn-md" data-dismiss="modal"><i class="fa fa-close"></i>
                    &{'batal.label'}
                    </button>
                </div>
            </div>
        #{/form}
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    function openModal(lampiran_id) {
        $("#lampiran_id").val(lampiran_id);
        jQuery('#uplFileLampiran').modal('show');
    }
</script>
#{/set}


